// 权限各字段含义
export default {
  ADD_ANTECEDENT_TASK: '添加协作任务',
  ADD_MODIFY_DELETE_ITEM_LABEL: '项目标签',
  ADD_MODIFY_DELETE_ITEM_LABEL_GRO: '项目标签组',
  ADD_MODIFY_DELETE_TASK_LABEL: '任务标签',
  ADD_MODIFY_DELETE_TASK_LABEL_GRO: '任务标签组',
  ADMINISTRATORS_GROUP: '管理员',
  APPROVE: '审批',
  CHECK_ITEMS: '检查项',
  COPY_TASK: '复制任务',
  CREATE_PROJECT_TASK_REMINDER: '任务提醒',
  CREATE_TASK_ACTION: '多人确认',
  CUSTOM_FIELDS_TOTAL: '自定义字段（总量）',
  EDIT_RULE_ADD: '自动化规则',
  ENTERPRISE_CALENDAR: '企业日历',
  EXPORT_PROJECT_NUMBER_OF_FIELDS: '项目导出（字段数）',
  FILE: '文件',
  FUNCTION_AUTHORITY: '功能权限',
  GLOBAL_CALENDAR_VIEW: '日历视图',
  IMPORT_SUBTASKS: '导入子任务',
  INPUT_REPORT_AND_INPUT_MANAGEMEN: '汇报',
  MOBILE_TASK: '移动任务',
  NUMBER_OF_PROJECTS: '创建项目',
  NUMBER_OF_TASKS: '任务数量',
  OPERATION_AUTHORITY: '创建项目权限管理',
  OSS_SIZE: 'OSS',
  OVERVIEW_ANNOUNCEMENT_RICH_TEXT: '概览',
  PROJECT_BOARD_VIEW: '看板视图',
  PROJECT_CUSTOM_FIELDS: '项目自定义字段',
  PROJECT_GROUP_FUNCTION: '分组功能',
  PROJECT_LABEL_PERSON_IN_CHARGE: '筛选功能（项目内任务视图）',
  PROJECT_LIST_FILTER_SAVE_GROUP: '保存视图（项目视图）',
  PROJECT_LIST_VIEW: '列表视图',
  PROJECT_PERMISSIONS: '项目权限',
  PROJECT_ROLE_COUNT: '角色管理',
  PROJECT_TABLE_VIEW: '表格视图',
  PROJECT_TEMPLATE: '项目模板',
  PROJECT_TIME_VIEW: '甘特图',
  SCREEN: '筛选功能（项目视图）',
  SIMULTANEOUS_ASSIGNMENT: '同时指派',
  STATE_JURISDICTION: '自定义统计',
  TASK_CONFIRM_METHOD: '任务确认方式',
  TASK_EXPORT_NUMBER_OF_FIELDS: '任务导出（字段数）',
  TASK_GROUP_FUNCTION: '分组功能',
  TASK_KANBAN_VIEW: '看板视图',
  TASK_LEVEL: '任务层级',
  TASK_LIST: '任务清单',
  TASK_LIST_ACTION: '批量操作',
  TASK_LIST_FILTER_SAVE_GROUP: '保存视图（任务模块）',
  TASK_PROJECT_FILE_LIST: '回收站',
  TASK_TABLE_VIEW: '表格视图',
  TASK_TYPE: '任务类型',
  TIME_VIEW: '时间视图'
}

export const newaAccess = {
  invent_copy_move_into: true, // 清单移动复制到此项目
  invent_create: true,
  invent_delete: true,
  invent_edit: true,
  invent_ordered: true,
  invent_resume: true,
  invent_tasktype_set: true,

  project_archived: true, // 归档项目    位置唯一: 项目设置按钮权限 和 提示信息
  project_baseinfo_set: true, // 项目基本信息       位置唯一: 项目设置 项目信息
  project_component_set: true, // 组件管理
  project_copy: true, // 项目复制               位置唯一:项目设置
  project_delete: true, // 项目删除       位置唯一:项目设置
  // project_export: true, //项目导出  删除
  project_member_manage: true, // 人员权限 TODO:
  project_perf_manage: true, // 项目积分管理 位置唯一:项目设置
  // project_pro_remind_set: true, //项目提醒  位置唯一:项目设置
  project_task_remind_set: true, // 项目提醒  位置唯一:项目设置
  project_task_set: true, // 任务设置  位置唯一:项目设置
  project_task_view_set: true, // 管理任务视图  位置唯一:项目设置
  project_tasktype_manage: true, // 任务类型管理 位置唯一:项目设置


  task_add_corptask: true, // 增加协作任务 位置唯一: 任务详情前后续
  task_autolayout: true, // 任务自动编排 位置唯一: 项目内任务甘特图
  task_create: true, // 任务创建
  // 位置:
  // 待办页面---快捷创建(没有创建权限的项目不可选看不到,后台控制)
  // 任务页面---快捷创建(没有创建权限的项目不可选看不到,后台控制)
  // 任务页面---标准创建(没有创建权限的项目不可选看不到,后台控制)

  // 任务页面---列表视图 不分组 创建子任务
  // 任务页面---列表视图 按项目分组 / 按清单分组 / 按负责人分组 创建子任务
  // 任务页面---表格视图 不分组 创建子任务
  // 任务页面---时间视图 不分组 创建子任务
  // 任务页面---时间视图 按标签分组 创建子任务
  // 任务页面---看板视图 不可创建 不涉及


  // 项目内任务页面---快捷 / 标准创建 无权限不显示
  // 项目内的列表视图 --- 创建子任务
  // 项目内的表格视图 --- 创建子任务
  // 项目内看板视图页面全部任务清单分组 --- 创建任务

  // 任务详情页面 --- 创建子任务
  // 全局创建任务 -- 后台控制
  task_delete: true, // 任务删除  位置: 任务详情右上角 任务详情子任务删除 表格视图删除
  task_delete_corptask: true,
  task_download: true, // 任务下载 位置唯一: 任务详情右上角
  task_edit: true, // 任务编辑

  task_export: true, // 任务导出 位置唯一: 项目内的任务导出 入口限制
  task_import: true, // 任务导入 位置唯一 项目内的任务导入 入口限制
  // task_manage_foretask: true,
  task_mark_milestone: true, // 任务标记里程碑
  task_unmark_milestone: true, // 和上面这个一样 取消和标记还是一个权限
  // 位置: 列表 表格 看板 任务详情


  task_move_copy: true, // 任务移动复制 位置: 任务详情 右上角
  task_ordered: true, // 任务排序 位置: 项目内任务拖拽排序
  task_restart: true, // 任务重启 位置: 任务详情
  task_resume: true,
  task_share: true, // 任务分享 位置: 任务详情
  task_stop: true, // 任务终止 位置: 任务详情
  worktime_export: true, // 导出工时数据 位置: 项目内导出 工时模块导出
  worktime_me_actual: true,
  worktime_me_predict: true,
  worktime_others_act: false,
  worktime_others_pr: false,
  worktime_project_look: true
}
